Haketilo - Feature #40

Move documentation to wiki
07/01/2021 06:15 PM - koszko

Status: Closed Start date: 07/01/2021
Priority: High Due date:

Assignee: jahoti % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Documentation is currently on https://koszko.org/browser-extension-doc.html and https:/qgit.koszko.org/browser-extension-doc

Move it to: https://hachettebugs.koszko.org/projects/hachette/wiki

History

#1 - 07/02/2021 02:21 AM - jahoti

There's no wiki to move documentation to yet (it seems you're the only one with the power to create one).

#2 - 07/04/2021 05:59 AM - jahoti
- Status changed from New to In Progress

- Assignee set to jahoti

Unless anybody else wants to take this task on, I'm happy to do so (having managed to create the wiki).

However, there is a critical decision to make first: do we want to use Textile or Markdown for the wiki? It is currently set to use Textile (Administration
— Settings — Text Formatting); Markdown would seem a much better choice, both for its widespread familiarity and not insisting every paragraph
start with "p. ". That said, it's not my decision to make singlehandedly, nor a setting | have the ability to change.

#3 - 07/04/2021 11:05 PM - koszko

Changed to Markdown as per your request

#4 - 07/05/2021 04:50 AM - jahoti
- % Done changed from 0 to 90

(Thank you for switching it to Markdown!)

The documentation is now all on the wiki, with a slight re-organization purely to avoid h4 (it won't be too difficult to change this if closer adherence to
doc.org is preferred). The only issue is a few references to the build system, which treat it as hypothetical; one is the article on the topic, the other the
last paragraph in the article on code modularity. There are almost certainly also mistakes in changing from org-mode to markdown, albeit for obvious
reasons none | can point to.

#5 - 07/09/2021 05:05 AM - jahoti

- Status changed from In Progress to Feedback

#6 - 07/09/2021 05:16 PM - koszko
- Status changed from Feedback to Closed
jahoti wrote:

The only issue is a few references to the build system, which treat it as hypothetical;

| think there might also be some other things that need updating, especially now, as | made some things show up in the popup. In the future | might
have to force myself to always update documentation together with my branch. Anyway, this is beyond the scope of this issue (which | consider
complete, btw).

Thank you very much for this work :) close adherence to doc.org is not necessary

#7 - 07/10/2021 01:04 AM - jahoti
- % Done changed from 90 to 100
